Bug 9042 - crash after seleting item in "action" page
Summary: crash after seleting item in "action" page
Status: CLOSED FIXED
Alias: None
Product: klipper
Classification: Applications
Component: general (show other bugs)
Version: 0.7
Platform: unspecified Other
: NOR normal (vote)
Target Milestone: ---
Assignee: Carsten Pfeiffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-08-25 20:18 UTC by Unknown
Modified: 2002-09-16 14:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ewald Arnold 2000-08-25 20:10:14 UTC
(*** This bug was imported into bugs.kde.org ***)

Package: klipper
Version: v0.7 (KDE 1.93 Beta >= 20000813)
Severity: normal

klipper crashed after selecting the "action" page of the settings dialog 
an clicking on the "+" of the item list.


Here is a backtrace generated by DrKonqi:
0x40d723d9 in __wait4 () from /lib/libc.so.6
#0  0x40d723d9 in __wait4 () from /lib/libc.so.6
#1  0x40dcf618 in __DTOR_END__ () from /lib/libc.so.6
#2  0x404974b0 in KCrash::defaultCrashHandler ()
   from /opt/kde2/lib/libkdecore.so.3
#3  0x40d10998 in __restore ()
    at ../sysdeps/unix/sysv/linux/i386/sigaction.c:127
#4  0x40debd27 in KEditableListView::slotItemClicked ()
   from /opt/kde2/lib/klipper.so
#5  0x408d60eb in QListView::mouseButtonClicked ()
   from /usr/local/qt2/lib/libqt.so.2
#6  0x40836e2b in QListView::contentsMouseReleaseEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#7  0x408813cf in QScrollView::viewportMouseReleaseEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#8  0x40880e8d in QScrollView::eventFilter ()
   from /usr/local/qt2/lib/libqt.so.2
#9  0x40835c91 in QListView::eventFilter () from /usr/local/qt2/lib/libqt.so.2
#10 0x40776250 in QObject::activate_filters ()
   from /usr/local/qt2/lib/libqt.so.2
#11 0x407dd39b in QWidget::event () from /usr/local/qt2/lib/libqt.so.2
#12 0x40707f79 in QApplication::notify () from /usr/local/qt2/lib/libqt.so.2
#13 0x406d2dfc in QETWidget::translateMouseEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#14 0x406d02b1 in QApplication::x11ProcessEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#15 0x406cf8e8 in QApplication::processNextEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#16 0x406d0afd in QApplication::processEvents ()
   from /usr/local/qt2/lib/libqt.so.2
#17 0x40708044 in QApplication::processEvents ()
   from /usr/local/qt2/lib/libqt.so.2
#18 0x408361e9 in QListView::contentsMousePressEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#19 0x408812df in QScrollView::viewportMousePressEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#20 0x40880e8d in QScrollView::eventFilter ()
   from /usr/local/qt2/lib/libqt.so.2
#21 0x40835c91 in QListView::eventFilter () from /usr/local/qt2/lib/libqt.so.2
#22 0x40776250 in QObject::activate_filters ()
   from /usr/local/qt2/lib/libqt.so.2
#23 0x407dd39b in QWidget::event () from /usr/local/qt2/lib/libqt.so.2
#24 0x40707f79 in QApplication::notify () from /usr/local/qt2/lib/libqt.so.2
#25 0x406d2dfc in QETWidget::translateMouseEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#26 0x406d02b1 in QApplication::x11ProcessEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#27 0x406cf8e8 in QApplication::processNextEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#28 0x40709bef in QApplication::enter_loop ()
   from /usr/local/qt2/lib/libqt.so.2
#29 0x4070fcc3 in QDialog::show () from /usr/local/qt2/lib/libqt.so.2
#30 0x4070f635 in QDialog::exec () from /usr/local/qt2/lib/libqt.so.2
#31 0x40de66ec in TopLevel::slotConfigure () from /opt/kde2/lib/klipper.so
#32 0x40de5aa1 in TopLevel::clickedMenu () from /opt/kde2/lib/klipper.so
#33 0x40778d2f in QObject::activate_signal ()
   from /usr/local/qt2/lib/libqt.so.2
#34 0x408db97a in QPopupMenu::activated () from /usr/local/qt2/lib/libqt.so.2
#35 0x408728ed in QPopupMenu::actSig () from /usr/local/qt2/lib/libqt.so.2
#36 0x408758c7 in QPopupMenu::mouseReleaseEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#37 0x407dda3e in QWidget::event () from /usr/local/qt2/lib/libqt.so.2
#38 0x40707f79 in QApplication::notify () from /usr/local/qt2/lib/libqt.so.2
#39 0x406d2c00 in QETWidget::translateMouseEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#40 0x406d02b1 in QApplication::x11ProcessEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#41 0x406cf8e8 in QApplication::processNextEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#42 0x40709bef in QApplication::enter_loop ()
   from /usr/local/qt2/lib/libqt.so.2
#43 0x40876e3b in QPopupMenu::exec () from /usr/local/qt2/lib/libqt.so.2
#44 0x40de5c61 in TopLevel::showPopupMenu () from /opt/kde2/lib/klipper.so
#45 0x40de56d6 in TopLevel::mousePressEvent () from /opt/kde2/lib/klipper.so
#46 0x407dda3e in QWidget::event () from /usr/local/qt2/lib/libqt.so.2
#47 0x4084bdf0 in QMainWindow::event () from /usr/local/qt2/lib/libqt.so.2
#48 0x40707f79 in QApplication::notify () from /usr/local/qt2/lib/libqt.so.2
#49 0x406d2dfc in QETWidget::translateMouseEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#50 0x406d02b1 in QApplication::x11ProcessEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#51 0x406cf8e8 in QApplication::processNextEvent ()
   from /usr/local/qt2/lib/libqt.so.2
#52 0x40709bef in QApplication::enter_loop ()
   from /usr/local/qt2/lib/libqt.so.2
#53 0x406cf86b in QApplication::exec () from /usr/local/qt2/lib/libqt.so.2
#54 0x40de4ec2 in main () from /opt/kde2/lib/klipper.so
#55 0x804a99b in launch ()
#56 0x804c918 in main ()
#57 0x40d0aa5e in __libc_start_main () at ../sysdeps/generic/libc-start.c:93
Comment 1 Carsten Pfeiffer 2000-08-25 22:19:13 UTC
On Fri Aug 25 2000 at 10:10:14PM +0200 ewald@ewald-arnold.de wrote:

Hi
 
> klipper crashed after selecting the "action" page of the settings dialog 
> an clicking on the "+" of the item list.

thanks it's fixed in CVS now.

Best wishes
Carsten Pfeiffer
-- 
http://www.geocities.com/SiliconValley/1632/